/* eslint-disable */
/* tslint:disable */
/*
 * ---------------------------------------------------------------
 * ## THIS FILE WAS GENERATED VIA SWAGGER-TYPESCRIPT-API        ##
 * ##                                                           ##
 * ## AUTHOR: acacode                                           ##
 * ## SOURCE: https://github.com/acacode/swagger-typescript-api ##
 * ---------------------------------------------------------------
 */

import { IdInput } from "../model/IdInput";
import { PastureInfo } from "../model/PastureInfo";
import { PastureInfoChangeView } from "../model/PastureInfoChangeView";
import { PastureInfoCreateInput } from "../model/PastureInfoCreateInput";
import { PastureInfoGetPageCondition } from "../model/PastureInfoGetPageCondition";
import { PastureInfoPageViewPageDataModel } from "../model/PastureInfoPageViewPageDataModel";
import { PastureInfoUpdateInput } from "../model/PastureInfoUpdateInput";

type ErrorMessageMode = "none" | "modal" | "message" | undefined;
export class PastureApi {
  public static defHttp: any = null;

  /**

* 
 * @tags PastureInfo
 * @name Create
 * @summary 新增
 * @request POST:/company/pasture/create
 * @response  boolean 
 */
  public static async create(data: PastureInfoCreateInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/company/pasture/create";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name Update
 * @summary 修改
 * @request POST:/company/pasture/update
 * @response  boolean 
 */
  public static async update(data: PastureInfoUpdateInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/company/pasture/update";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name PostPasture
 * @summary 根据id获取数据
 * @request POST:/company/pasture/get
 * @response  PastureInfo 
 */
  public static async postPasture(data: IdInput, mode: ErrorMessageMode = "modal"): Promise<PastureInfo> {
    const requestpath = "/company/pasture/get";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<PastureInfo>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name Remove
 * @summary 根据id删除数据
 * @request POST:/company/pasture/remove
 * @response  boolean 
 */
  public static async remove(data: IdInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/company/pasture/remove";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name GetPage
 * @summary 获取分页
 * @request POST:/company/pasture/get-page
 * @response  PastureInfoPageViewPageDataModel 
 */
  public static async getPage(
    data: PastureInfoGetPageCondition,
    mode: ErrorMessageMode = "modal",
  ): Promise<PastureInfoPageViewPageDataModel> {
    const requestpath = "/company/pasture/get-page";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<PastureInfoPageViewPageDataModel>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name GetPastureList
 * @summary 获取当前用户可操作的牧场
 * @request POST:/company/pasture/get-pasture-list
 * @response  (PastureInfo)[] 
 */
  public static async getPastureList(mode: ErrorMessageMode = "modal"): Promise<PastureInfo[]> {
    const requestpath = "/company/pasture/get-pasture-list";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<PastureInfo[]>(
      {
        url: requestpath,
        method: "POST",
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags PastureInfo
 * @name Change
 * @summary 切换牧场
 * @request POST:/company/pasture/change
 * @response  PastureInfoChangeView 
 */
  public static async change(data: IdInput, mode: ErrorMessageMode = "modal"): Promise<PastureInfoChangeView> {
    const requestpath = "/company/pasture/change";
    if (!PastureApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return PastureApi.defHttp.post<PastureInfoChangeView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
}
