/* eslint-disable */
/* tslint:disable */
/*
 * ---------------------------------------------------------------
 * ## THIS FILE WAS GENERATED VIA SWAGGER-TYPESCRIPT-API        ##
 * ##                                                           ##
 * ## AUTHOR: acacode                                           ##
 * ## SOURCE: https://github.com/acacode/swagger-typescript-api ##
 * ---------------------------------------------------------------
 */

import { WeChatBindInput } from "../model/WeChatBindInput";
import { WeChatGetAuthByCodeView } from "../model/WeChatGetAuthByCodeView";
import { WeChatGetUserPhoneByOpenIdInput } from "../model/WeChatGetUserPhoneByOpenIdInput";
import { WeChatLoginByOpenIdInput } from "../model/WeChatLoginByOpenIdInput";
import { WeChatLoginByPhoneInput } from "../model/WeChatLoginByPhoneInput";
import { WeChatLoginView } from "../model/WeChatLoginView";
import { WeChatUnBindInput } from "../model/WeChatUnBindInput";

type ErrorMessageMode = "none" | "modal" | "message" | undefined;
export class WeChatApi {
  public static defHttp: any = null;

  /**

* 
 * @tags WeChat
 * @name GetUserPhoneByOpenId
 * @summary 获取openid对应的手机号
 * @request POST:/open/we-chat/get-user-phone-by-open-id
 * @response  WeChatGetAuthByCodeView 
 */
  public static async getUserPhoneByOpenId(
    data: WeChatGetUserPhoneByOpenIdInput,
    mode: ErrorMessageMode = "modal",
  ): Promise<WeChatGetAuthByCodeView> {
    const requestpath = "/open/we-chat/get-user-phone-by-open-id";
    if (!WeChatApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return WeChatApi.defHttp.post<WeChatGetAuthByCodeView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags WeChat
 * @name LoginByOpenId
 * @summary 通过openid进行登录
 * @request POST:/open/we-chat/login-by-open-id
 * @response  WeChatLoginView 
 */
  public static async loginByOpenId(
    data: WeChatLoginByOpenIdInput,
    mode: ErrorMessageMode = "modal",
  ): Promise<WeChatLoginView> {
    const requestpath = "/open/we-chat/login-by-open-id";
    if (!WeChatApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return WeChatApi.defHttp.post<WeChatLoginView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags WeChat
 * @name LoginByPhone
 * @summary 微信端 手机号登录， 返回对应token，如果用户未绑定微信，会进行绑定
 * @request POST:/open/we-chat/login-by-phone
 * @response  WeChatLoginView 
 */
  public static async loginByPhone(
    data: WeChatLoginByPhoneInput,
    mode: ErrorMessageMode = "modal",
  ): Promise<WeChatLoginView> {
    const requestpath = "/open/we-chat/login-by-phone";
    if (!WeChatApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return WeChatApi.defHttp.post<WeChatLoginView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags WeChat
 * @name Bind
 * @summary 用户绑定微信
 * @request POST:/user/we-chat/bind
 * @response  boolean 
 */
  public static async bind(data: WeChatBindInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/user/we-chat/bind";
    if (!WeChatApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return WeChatApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags WeChat
 * @name UnBind
 * @summary 解绑微信
 * @request POST:/user/we-chat/un-bind
 * @response  boolean 
 */
  public static async unBind(data: WeChatUnBindInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/user/we-chat/un-bind";
    if (!WeChatApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return WeChatApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
}
